%define toglver %{get_version tcl-togl}

Name: lablGL
Version: 1.02
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: OpenGL library for OCaml
License: Distributable
Group: Development/ML
Url: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html

Source: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-%version.tar.gz
Source1: lablgl-1.02-alt-meta
Patch: lablgl-1.01-make.patch
Patch1: lablgl-1.02-alt-togl.patch

Requires: ocaml = %{get_SVR ocaml}
Requires: lablGL-runtime = %version-%release, libGLU, labltk
BuildRequires(pre): ocaml ocaml-runtime tcl-togl-devel

BuildRequires: camlp4 labltk ocaml-graphics ocaml-runtime
BuildRequires: XFree86-devel libGLU-devel libglut-devel tcl-devel tk-devel tcl-togl-devel chrpath

%package runtime
Summary: runtime part of LablGL library
Group: Development/ML
Requires: ocaml-runtime = %{get_SVR ocaml-runtime}

%description

 OpenGL bindings library for Objective Caml

%description runtime

 OpenGL bindings library for Objective Caml


%prep
%setup -q -nlablgl-%version
%patch0 -p1
%patch1 -p0

sed -i  -e 's,@TOGLVERSION@,%toglver,g' \
	-e 's,@TCLLIBDIR@,%_tcllibdir,g' Togl/src/Makefile
rm -fR Togl/src/Togl

%build
%make INSTALLDIR=%_libdir/ocaml/site-lib/lablGL
%make opt INSTALLDIR=%_libdir/ocaml/site-lib/lablGL
chrpath -r "%_tcllibdir" Togl/src/dlltogl.so

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/ocaml/stublibs/
mkdir -p $RPM_BUILD_ROOT%_bindir
%makeinstall INSTALLDIR=%buildroot%_libdir/ocaml/site-lib/lablGL
install -m644 %SOURCE1 %buildroot%_libdir/ocaml/site-lib/lablGL/META

%files
%doc CHANGES COPYRIGHT README Togl/examples/ LablGlut/examples/
%dir %_libdir/ocaml/site-lib/lablGL
%_libdir/ocaml/site-lib/lablGL/META
%_libdir/ocaml/site-lib/lablGL/*.ml*
%_libdir/ocaml/site-lib/lablGL/*.cm?*
%_libdir/ocaml/site-lib/lablGL/*.a
%_bindir/*

%files runtime
%_libdir/ocaml/stublibs/dll*.so

%changelog
* Sat Dec 23 2006 Grigory Batalov <bga@altlinux.ru> 1.02-alt1
- New upstream release.
- Moving to get_SVR macro.
- Requirements updated.
- Toplevel scripts moved from runtime to main package.
- Strict packaging.
- Use system tcl-togl.
- Moved to site-lib folder.
- New group, url, packager.

* Tue Mar 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.01-alt3
- Moving to get_dep macro.

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.01-alt2
- Rebuild with ocaml-3.0.9-alt1.

* Wed Dec 28 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.01-alt1.1
- Rebuild with ocaml-3.08.1-alt1.1 .

* Mon Nov 01 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.01-alt1
- new version

* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt6
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 1.00-alt5.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt5
- rebuild


* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt4
- rebuild


* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt3
rebuild

* Wed Nov 12 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt2
relaxed elf verifying


* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.00-alt1
- a new version.

* Thu Oct 09 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.99-alt1
- A new version, rebuild with 3.07

* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt4s
- rebuild (new ocaml version)

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt3s
- rebuild with a shared libraries support

* Tue Jan 21 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt3
- exact libGLU-devel dependency

*Tue Aug 20 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt2
- Rebuild with 3.06
- Runtime part now separated

*Fri Aug 2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.98-alt1
- New version released

*Mon Jul 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt10
- Rebuilt with 3.05 release

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt9
- Rebuild with 3.04_15

*Tue May 14 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.97-alt8
- Rebuild with 3.04_10, no more post and preun scripts


*Tue Apr 16 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt7
- Rebuild with ocaml-3.04+9
- Patch from vsu <vsu@mivlgu.murom.ru> (bugfix for path in lablgltop
  script).

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 0.97-alt6
- Rebuild with ocaml-3.04+7-alt1

*Fri Feb 22 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- camlp4 dependency added.

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Fri Jan 25 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- native compilation added

*Mon Jan 23 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
